Subject: Re: [Cbe-oss-dev] Time for cell code reshuffle?

From: Christoph Hellwig <[email-masked]>
Date: Sun, 23 Dec 2007 13:35:01 +0100

On Sun, Dec 23, 2007 at 12:47:42PM +0900, Jeremy Kerr wrote:
> Hi all,
> 
> > To the question, where what it should go, I'd leave the decision to
> > Jeremy, but my current idea would be:
> >
> > arch/powerpc/platforms/cell/spufs -> arch/powerpc/spufs
> 
> I'd suggest arch/powerpc/sysdev/spufs to keep arch/powerpc clean.
> 
> However, this may also depend on the (intended) structure of SPURSEngine 
> support, which may mean that fs/spufs might be a better place. It would 
> suck to have to move things twice, so maybe someone from Tosihba could 
> provide some input? Would the powerpc spufs code be suitable for 
> SPURSEngine?

Strong NACK for fs/spufs/  fs code is the smallest part of the spu
support, and all this nasty lowlevel code doesn't belong into fs/ at
all.